#pragma once

#include "CNetscapePlugin.h"
#include "CMacPluginView.h"

#include <LTextEdit.h>

class CViewText : public CNetscapePlugin {
	public:
		static NPError		Initialize( void );
		static NPError		Shutdown( void );
		
							CViewText( NPP instance, uint16 mode, CPluginArguments* adoptedArgs );
		virtual				~CViewText();

		virtual NPError		SaveData( NPSavedData** ) { return NPERR_NO_ERROR; };
		virtual NPBool		Handle_Event( void* event );
		virtual CNetscapeStream*	CreateStream( NPMIMEType type, NPStream *stream, NPBool seekable, uint16 stype );
		
		LTextEdit*			GetTextEditView();
		
		virtual CPluginView* 		CreatePluginView( ) ;

	protected:		
		CMacPluginView*		GetMacPluginView() { return (CMacPluginView*) mView; };
};

